Bug 851403 - Document error in REST API section
Document error in REST API section
Status: CLOSED NOTABUG
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: doc-BRMS_User_Guide (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
low Severity low
: ---
: BRMS 5.3.1 GA
Assigned To: Jervis Liu
Lukáš Petrovický
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 01:42 EDT by Jervis Liu
Modified: 2013-11-07 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-27 03:35:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jervis Liu 2012-08-24 01:42:07 EDT
Description of problem:

User reported this error in our documentation:
> Hello,
>
> I tried to explore Guvnor's REST API, particularly interested in retrieving package versions and binary with a given package version.  But I could not get the result as the given example in chapter 9.2.3.2.5 and Example 9.10:
>
> Guvnor version: 5.4.0.Final
> Repository: sample repository
> Document: http://docs.jboss.org/drools/release/5.4.0.Final/drools-guvnor-docs/html_single/#d0e3632
> URI: [host:port]/guvnor/rest/packages - this was given in Example 9.10, not sure if it is correct.
> Response Message:
>
> <feed xmlns="http://www.w3.org/2005/Atom" xml:base="http://localhost:8080/guvnor/rest/packages">
> <title type="text">Packages</title>    
> <entry>
> <title type="text">defaultPackage</title>
> <link href="http://localhost:8080/guvnor/rest/packages/defaultPackage"/>
> </entry>
> <entry>
> <title type="text">mortgages</title>
> <link href="http://localhost:8080/guvnor/rest/packages/mortgages"/>
> </entry>
> </feed>
>
> The response was much different than the one in document, Example 9.11.  For example, the title is "<title type="text">Version history of mortgages</title>" in document, and there is an <update/> element under each entry.  The most important, the link for each package contains the "/versions/version".
>
> Your help is greatly appreciated.
>
> -Ming
>
Hi, this is an error in the doc, "Example 9.10. Retrieving package
versions as an Atom Feed". The correct URL to be used in Example 9.10
should be
"http://127.0.0.1:8080/guvnor-5.4.0-SNAPSHOT-jboss-as-7.0/rest/packages/mortgages/versions" 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jervis Liu 2012-08-27 03:35:55 EDT
The document in question does not exist on brms 5.3.x branch. Fixed the doc on guvnor 5.4.x and master branch. 

https://issues.jboss.org/browse/GUVNOR-1931

Note You need to log in before you can comment on or make changes to this bug.